Extra cost
INFO
Каждый ответ приходит в общем конверте — code, message, messages, status_code, time — а полезная нагрузка лежит в data. Таблицы ниже описывают содержимое data.
POST /extra-cost/create
This method allows adding extra-cost into the account.
Тело запроса
| Поле | Тип | Обязательно | Описание |
|---|---|---|---|
name | string | Да | |
is_affect_price | boolean | Да | По умолчанию: false |
distribution_method | string | Да | Допустимые значения: byPrice, byAmount, byGrossWeight, byVolume, manual. По умолчанию: "byPrice" |
recommended_amount | number | Да | По умолчанию: 0 |
max_amount | number | Да | По умолчанию: 0 |
currency_id | string | Да | |
payment_type_id | string | Да | |
user_type | string | Нет | Допустимые значения: supplier, employee, customer, person, other. По умолчанию: "supplier" |
customer_id | string | Нет | |
supplier_id | string | Нет | |
employee_id | string | Нет | |
person_id | string | Нет | |
status | string | Да | Допустимые значения: active, inactive. По умолчанию: "active" |
note | string | Нет |
{
"name": "string",
"is_affect_price": false,
"distribution_method": "byPrice",
"recommended_amount": 0,
"max_amount": 0,
"currency_id": "646b0c2f3d4e1a001f8b4567",
"payment_type_id": "646b0c2f3d4e1a001f8b4567",
"user_type": "supplier",
"customer_id": "646b0c2f3d4e1a001f8b4567",
"supplier_id": "646b0c2f3d4e1a001f8b4567",
"employee_id": "646b0c2f3d4e1a001f8b4567",
"person_id": "646b0c2f3d4e1a001f8b4567",
"status": "active",
"note": "string"
}Ответ
| Поле | Тип | Описание |
|---|---|---|
name | string | |
is_affect_price | boolean | |
distribution_method | string | |
amount | number | |
should_create_transaction | boolean | |
recommended_amount | number | |
max_amount | number | |
note | string | |
status | string | Допустимые значения: active, inactive |
payment_type | object | |
payment_type._id | string | |
payment_type.name | string | |
payment_type.user_type | string | |
currency_id | string | |
currency | object | |
currency._id | string | |
currency.name | string | |
updated_by_user | object | |
updated_by_user._id | string | |
updated_by_user.full_name | string | |
created_by_user | object | |
created_by_user._id | string | |
created_by_user.full_name | string | |
employee | object | |
employee._id | string | |
employee.full_name | string | |
customer | object | |
customer._id | string | |
customer.name | string | |
supplier | object | |
supplier._id | string | |
supplier.name | string | |
person | object | |
person._id | string | |
person.name | string |
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"name": "string",
"is_affect_price": false,
"distribution_method": "string",
"amount": 0,
"should_create_transaction": false,
"recommended_amount": 0,
"max_amount": 0,
"note": "string",
"status": "active",
"payment_type": {
"_id": "string",
"name": "string",
"user_type": "string"
},
"currency_id": "string",
"currency": {
"_id": "string",
"name": "string"
},
"updated_by_user": {
"_id": "string",
"full_name": "string"
},
"created_by_user": {
"_id": "string",
"full_name": "string"
},
"employee": {
"_id": "string",
"full_name": "string"
},
"customer": {
"_id": "string",
"name": "string"
},
"supplier": {
"_id": "string",
"name": "string"
},
"person": {
"_id": "string",
"name": "string"
}
},
"time": "2025-05-01T12:00:00Z"
}PUT /extra-cost/update
This method allows updating extra-cost in the account.
Тело запроса
| Поле | Тип | Обязательно | Описание |
|---|---|---|---|
_id | string | Да | |
name | string | Да | |
is_affect_price | boolean | Да | По умолчанию: false |
distribution_method | string | Да | Допустимые значения: byPrice, byAmount, byGrossWeight, byVolume, manual. По умолчанию: "byPrice" |
recommended_amount | number | Да | По умолчанию: 0 |
max_amount | number | Да | По умолчанию: 0 |
currency_id | string | Да | |
payment_type_id | string | Да | |
user_type | string | Нет | Допустимые значения: supplier, employee, customer, person, other. По умолчанию: "supplier" |
customer_id | string | Нет | |
supplier_id | string | Нет | |
employee_id | string | Нет | |
person_id | string | Нет | |
status | string | Да | Допустимые значения: active, inactive. По умолчанию: "active" |
note | string | Нет |
{
"_id": "646b0c2f3d4e1a001f8b4567",
"name": "string",
"is_affect_price": false,
"distribution_method": "byPrice",
"recommended_amount": 0,
"max_amount": 0,
"currency_id": "646b0c2f3d4e1a001f8b4567",
"payment_type_id": "646b0c2f3d4e1a001f8b4567",
"user_type": "supplier",
"customer_id": "646b0c2f3d4e1a001f8b4567",
"supplier_id": "646b0c2f3d4e1a001f8b4567",
"employee_id": "646b0c2f3d4e1a001f8b4567",
"person_id": "646b0c2f3d4e1a001f8b4567",
"status": "active",
"note": "string"
}Ответ
Структура ответа совпадает с POST /extra-cost/create.
DELETE /extra-cost/delete/{id}
Delete a extra-cost
Параметры пути
| Параметр | Тип | Обязательно | Описание |
|---|---|---|---|
id | string | Да |
Тело запроса
Тело запроса не требуется.
Ответ
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": "ok",
"time": "2025-05-01T12:00:00Z"
}GET /extra-cost/get-all
Get all extra-costs
Параметры запроса
| Параметр | Тип | Обязательно | Описание |
|---|---|---|---|
status | string | Нет | Допустимые значения: active, inactive |
distribution_method_ne | string | Нет | Допустимые значения: byPrice, byAmount, byGrossWeight, byVolume, manual |
Тело запроса
Тело запроса не требуется.
Ответ
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": [
{
"name": "string",
"is_affect_price": false,
"distribution_method": "string",
"amount": 0,
"should_create_transaction": false,
"recommended_amount": 0,
"max_amount": 0,
"note": "string",
"status": "active",
"payment_type": {
"_id": "string",
"name": "string",
"user_type": "string"
},
"currency_id": "string",
"currency": {
"_id": "string",
"name": "string"
},
"updated_by_user": {
"_id": "string",
"full_name": "string"
},
"created_by_user": {
"_id": "string",
"full_name": "string"
},
"employee": {
"_id": "string",
"full_name": "string"
},
"customer": {
"_id": "string",
"name": "string"
},
"supplier": {
"_id": "string",
"name": "string"
},
"person": {
"_id": "string",
"name": "string"
}
}
],
"time": "2025-05-01T12:00:00Z"
}GET /extra-cost/get-by-id/{id}
Get extra-cost using its _id
Параметры пути
| Параметр | Тип | Обязательно | Описание |
|---|---|---|---|
id | string | Да |
Тело запроса
Тело запроса не требуется.
Ответ
Структура ответа совпадает с POST /extra-cost/create.
GET /extra-cost/get-deleted
Get deleted extra-cost ids
Параметры запроса
| Параметр | Тип | Обязательно | Описание |
|---|---|---|---|
deleted_at | string | Да |
Тело запроса
Тело запроса не требуется.
Ответ
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": [
"string"
],
"time": "2025-05-01T12:00:00Z"
}POST /extra-cost/get-paging
Get extra-cost by paging
Тело запроса
| Поле | Тип | Обязательно | Описание |
|---|---|---|---|
page | number | Да | По умолчанию: 1 |
limit | number | Да | По умолчанию: 20 |
search | string | Нет | |
distribution_method_ne | string | Нет | Допустимые значения: byPrice, byAmount, byGrossWeight, byVolume, manual. По умолчанию: "byPrice" |
status | string | Нет | Допустимые значения: active, inactive |
{
"page": 1,
"limit": 20,
"search": "string",
"distribution_method_ne": "byPrice",
"status": "active"
}Ответ
| Поле | Тип | Описание |
|---|---|---|
code | number | system code of response. По умолчанию: 0 |
message | string | |
status_code | number | status code of response. По умолчанию: 200 |
messages | object | |
messages.uz | string | |
messages.ru | string | |
messages.en | string | |
time | string (date-time) | time of response |
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"code": 0,
"message": "Success",
"status_code": 200,
"messages": {
"uz": "Muvaffaqiyatli",
"ru": "Успешно",
"en": "Successful"
},
"time": "2025-05-01T12:00:00Z"
},
"time": "2025-05-01T12:00:00Z"
}Эта страница сгенерирована из спецификации OpenAPI.